List user organizations
curl --request GET \
--url https://semgrep.dev/api/auth/users/current/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/auth/users/current/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/auth/users/current/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "<string>",
"orgs": [
{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"slug": "<string>",
"sourceType": "<string>",
"features": {
"featureFlags": [
{
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"hasAutofix": true,
"hasDeepsemgrep": true,
"hasTriageViaComment": true,
"hasDependencyQuery": true,
"defaultUserRole": "ORG_ROLE_ADMIN",
"editorSemgrepVersion": "<string>",
"nosemgrepDisabled": true
},
"organizationId": "<string>"
}
]
}Users
List user organizations
List all organizations/deployments that a user is a member of
GET
/
api
/
auth
/
users
/
current
/
deployments
List user organizations
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your user's JSON Web Token.
Query Parameters
The user ID to list organizations for. NOTE: As of June 2025, it must be equal to the requester's ID.
Was this page helpful?
⌘I